=== debian/changelog ===
gpsim (0.26.1-2) unstable; urgency=low

  * applied Ilya Barygin's patch, thanks! Closes: #665542
  * upgraded Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 26 May 2012 20:04:42 +0000

gpsim (0.26.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": update patch 10-configure.ac.patch (fix from
    Paul Tagliamonte).
    (Closes: #667190)

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 May 2012 15:41:09 +0200

gpsim (0.26.1-1) unstable; urgency=low

  * upgraded to the newest upstream version. 
    Closes: #646211
  * added chrysn's watch file. Closes: #646789
  * bumped Standards-Version to 3.9.2
  * changed the format of the package to 3.0 (quilt)
  * added more files to clean in debian/rule's clean target

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 29 Oct 2011 23:49:55 +0200

gpsim (0.24-6) unstable; urgency=low

  * Applied Andreas Moog's patch, in order to ship no longer .la files.
    Closes: #620761

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 04 Apr 2011 17:46:24 +0200

gpsim (0.24-5) unstable; urgency=low

  * patched the file configure.ac to add "-ldl" in X_LDFLAGS.Removed 
    "-warn-once" from AM_LDFLAGS as binutils-gold does not know this flag.
    Closes: 554740

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 17 Aug 2010 11:51:55 +0200

gpsim (0.24-4) unstable; urgency=low

  * updated the dependency on libreadline-dev. Closes: #553872
  * upgraded Standards-Version to 3.9.1

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 01:09:12 +0200

gpsim (0.24-3) unstable; urgency=low

  * modified the configuration to remove the dependency on 
    libgtk+extra-x11-3.0-0. As a result, there is no more gui interface
    for gpsim. However, the libraries featured by this build are 
    sufficient for ktechlab, which provides a graphic interface.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 15 Feb 2010 00:42:53 +0100

gpsim (0.24-2) unstable; urgency=low

  * rebuilt with libgtkextra-3.0-dev

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 13 Feb 2010 20:27:05 +0100

gpsim (0.24-1) unstable; urgency=low

  * adopted the package
  * upgraded to the newest upstream version
  * upgraded Standards-Version to 3.8.3
  * modified the patching system to quilt
  * erased older unseless patches
  * added ${misc:Depends} for gpsim-dev

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 16 Jan 2010 17:32:11 +0100

gpsim (0.22.0-5.2) unstable; urgency=high

  * Cherrypick acinclude update from release to fix readline detection
    (Closes: #520005)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 13 Jul 2009 19:36:10 +0200

gpsim (0.22.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with GCC 4.4 (Closes: #505011)
  * Build against GTK 2.0 (Closes: #516232)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 20 Feb 2009 20:22:25 +0100

gpsim (0.22.0-5) unstable; urgency=medium

  * Acknowledge NMU, thanks Luk (Closes: #471202)
  * Fix gcc-4.3 compilation issues (Closes: #474796)
    patch taken from gentoo, thanks to the people involved
   - Incorporate all gcc-4.3 porting issues into 10-gcc-4.3.dpatch
   - Add dpatch back to build-depends and call it in debian/rules
  * Update standards-version to 3.7.3
  * Remove some empty dirs under /usr/share/doc/gpsim/examples/
  * Remove code, which automatically adds the library extension to the
    file, in order to let people load the libraries without the
    gpsim-dev package installed and document library loading in 
    README.Debian (Closes: #475473)

 -- Steffen Joeris <white@debian.org>  Sun, 01 Jun 2008 09:30:49 +0000

gpsim (0.22.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #454831, #455608).

 -- Luk Claes <luk@debian.org>  Sun, 16 Mar 2008 15:48:49 +0000

gpsim (0.22.0-4) unstable; urgency=medium

  * Correct last upload and remove libopts25-dev from build-depends
    and add libpopt-dev as a gpsim-dev dependency (Closes: #442106)

 -- Steffen Joeris <white@debian.org>  Wed, 19 Sep 2007 13:31:36 +0000

gpsim (0.22.0-3) unstable; urgency=medium

  * Add build-depends against libopts25-dev to avoid FTBFS
    (Closes: #442106)
  * Remove exdbm as build-depends, because the package will be removed
    from Debian and gpsim still has an own copy of it

 -- Steffen Joeris <white@debian.org>  Wed, 19 Sep 2007 21:08:17 +1000

gpsim (0.22.0-2) unstable; urgency=low

  * Include patch to add missing includes needed by g++-4.3
    (Closes: #417213) Thanks to Martin Michlmayr
  * Change maintainer address
  * Make sure that make distclean errors are not ignored
  * Remove substvar in debian/control as it has some backwards
    compatibility
  * Delete several rpaths using chrpath and add it to build-depends
  * Update gpsim lintian override

 -- Steffen Joeris <white@debian.org>  Fri, 29 Jun 2007 14:22:49 +0200

gpsim (0.22.0-1) unstable; urgency=low

  * New upstream release
   - Final release with enhancements from the last release candidate
  * Update debian copyright and add new contributors

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue, 21 Nov 2006 05:31:09 +1100

gpsim (0.22.0~rc3-1) unstable; urgency=medium

  * New upstream version
   - Mainly a bugfix release
    Many thanks to the author Scott Dattalo for taking care of Debian
    release cycle and special thanks to Eamon Skelton for power testing
   - Fix for the gui problem which was introduced with last upstream 
     version
  * Drop the patches as they are now all included in upstream
  * Drop dpatch from build-depends and modify debian/rules file
  * Adjust the examples, because of new location
  * Update lintian override

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 26 Oct 2006 19:50:47 +1000

gpsim (0.21.11-2) unstable; urgency=low

  * Include patch from Aurelien Jarno to make sure it build on
    kfreeBSD-i386 (Closes: #345215)
  * Improve debian/copyright notes and add other copyright holders

