=== regression/ccp/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 
 
-all : ccp_877a.cod pwm_877a.cod ccp_819.cod
+all : ccp_877a.cod pwm_877a.cod ccp_819.cod pwm_6520.cod
 
 
 
@@ -15,5 +15,8 @@
 pwm_877a.cod : pwm_877a.o
 	gplink --map -s 16f877a.lkr -o $@  $^
 
-sim: sim_ccp_877a sim_pwm_877a sim_ccp_819
+pwm_6520.cod : pwm_6520.o
+	gplink --map -s 18f6520.lkr -o $@  $^
 
+sim: sim_ccp_877a sim_pwm_877a sim_ccp_819 sim_pwm_6520
+
