=== regression/comparator/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 
 
-all : compar_873a.cod compar_628.cod compar_877a.cod compar_10f204.cod
+all : compar_873a.cod compar_628.cod compar_877a.cod compar_10f204.cod \
+	compar_882.cod
 
 
 compar_877a.cod : compar_877a.o
@@ -13,6 +14,9 @@
 
 compar_628.cod : compar_628.o
 	gplink --map -s 16f628.lkr  -o $@  $<
+
+compar_882.cod : compar_882.o
+	gplink --map -s 16f882.lkr  -o $@  $<
 
 compar_10f204.cod: compar_10f204.o
 	gplink  --map -s 10f204.lkr -o $@  $<
@@ -31,3 +35,6 @@
 sim_10f204: compar_10f204.cod
 	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
 
+sim_882: compar_882.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
