=== regression/epwm/Makefile ===
include ../make.regression

all : p16f887.cod p18f4321.cod p16f882.cod p18f1220.cod p18f2321.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<



sim:
