=== regression/p16f88x/Makefile ===
include ../make.regression


SCRIPT = 16f887.lkr

all :  p16f887.cod p16f882.cod comparator.cod p16f883.cod eusart.cod i2c.cod epwm.cod a2d.cod

%.cod : %.o
	gplink --map  -q -o $@ $<


sim: sim_a2d_819 sim_ccp_819
