=== debian/changelog ===
gpsim (0.27.0-4) unstable; urgency=medium

  * included Alexander's patch; Closes: #753268
  * upgraded Standards-Version to 3.9.5
  * defined a macro GUI_SWITCH in d/rules, with a value "--disable-gui"
    it can be set to "--enable-gui" to build the graphic part of gpsim

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 30 Jun 2014 10:33:49 +0200

gpsim (0.27.0-2) unstable; urgency=medium

  * enabled the GUI again

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 07 Mar 2014 23:15:52 +0100

gpsim (0.27.0-1) unstable; urgency=low

  * Upgraded to the newest upstream version
  * Changed my debemail
  * Upgraded Standards-Version to 3.9.4
  * Added a build-dependency on gputils

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Sep 2013 00:43:29 +0200
