=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gpsim
 Section: electronics
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>= 5), libreadline-dev, libncurses5-dev, libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev, bison, chrpath, quilt (>= 0.40)
-Standards-Version: 3.9.3
+Maintainer: Georges Khaznadar <georgesk@debian.org>
+Build-Depends: debhelper (>= 5), libreadline-dev, libncurses5-dev,
+ libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev,
+ bison, chrpath, gputils, quilt
+Standards-Version: 3.9.5
 
 Package: gpsim
 Architecture: any
