=== regression/i2c/Makefile ===
# I2C module regression test
#
#

include ../make.regression


all :   p16f876a.cod p16f88.cod p16f819.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<

p16f88.cod: p16f88.asm i2c_low.inc

p16f819.cod: p16f819.asm i2c_low.inc

sim: sim_p16f88 sim_p16f876a sim_p16f819
