=== regression/p16f690/Makefile ===
--- 
+++ 
@@ -34,3 +34,21 @@
 sim: sim_epwm sim_eusart sim_p16f690 sim_nwdt_16f631 sim_wdt_16f677 \
 	sim_wdt_16f685
 
+sim_epwm: epwm.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_eusart: eusart.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_p16f690: p16f690.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_nwdt_16f631: nwdt_16f631.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_wdt_16f677: wdt_16f677.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_wdt_16f685: wdt_16f685.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
