=== debian/changelog ===
gpsim (0.29.0-1) unstable; urgency=medium

  * upgraded to the new upstream release. Closes: #694726
  * updated the override for the clean target in d/rules

 -- Georges Khaznadar <georgesk@freeduc.org>  Fri, 06 Nov 2015 09:02:57 +0100

gpsim (0.27.0-7) unstable; urgency=medium

  * made a new build with gcc5. Closes: #800538

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 01 Oct 2015 17:54:51 +0200

gpsim (0.27.0-6) unstable; urgency=medium

  * added a build-dependency on libtool-bin. Closes: #761753

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 Sep 2014 19:19:52 +0200

gpsim (0.27.0-5) unstable; urgency=medium

  * revived the GUI program in the package. Added build-dependencies on
    libgtkextra-dev, libgtk2.0-dev,
    activated "GUI_SWITCH = --enable-gui" in debian/rules
  * rewritten debian/rules to use debhelper's dh command
  * changed debian/compat to "9"
  * changed source format to 3.0 (quilt)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Aug 2014 11:02:16 +0200
