=== debian/watch ===
version=3

http://sf.net/gpsim/gpsim-(.+)\.tar\.gz
