## gpsim 0.30.0~rc0

=== debian/changelog ===
gpsim (0.30.0~rc0-1) unstable; urgency=medium

  * New upstream release. Closes: #853432

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Aug 2017 19:09:26 +0200

gpsim (0.29.0-2) unstable; urgency=medium

  * rebuilf with new GTK libraries. Closes: #818533

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 18 Mar 2016 00:36:00 +0100
