=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: electronics
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 5), libreadline-dev, libncurses5-dev,
+Build-Depends: debhelper (>= 9), libreadline-dev, libncurses5-dev,
  libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev,
- bison, chrpath, gputils, quilt
+ libtool-bin, bison, chrpath, gputils, quilt, libgtkextra-dev, libgtk2.0-dev
 Standards-Version: 3.9.5
 
 Package: gpsim
